Bug 1071456 - Review Request: oozie - A work-flow scheduling system for Apache Hadoop
Summary: Review Request: oozie - A work-flow scheduling system for Apache Hadoop
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1061747 1065446 1069366
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2014-02-28 20:16 UTC by Robert Rati
Modified: 2015-06-22 00:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-26 18:12:09 UTC
dpierce: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Rati 2014-02-28 20:16:13 UTC
Spec URL: http://rrati.fedorapeople.org/oozie.spec
SRPM URL: http://rrati.fedorapeople.org/oozie-4.0.0-1.fc19.src.rpm
Description: Apache Oozie is an extensible, scalable and reliable system to define, manage, schedule, and execute complex Apache Hadoop workloads via
web services
Fedora Account System Username: rrati

Comment 1 Robert Rati 2014-04-10 13:18:17 UTC
Updated to upstream version 4.0.1

Spec URL: http://rrati.fedorapeople.org/oozie.spec
SRPM URL: http://rrati.fedorapeople.org/oozie-4.0.1-1.fc21.src.rpm

Comment 3 Darryl L. Pierce 2014-06-25 21:06:39 UTC
Just two small issues noticed regarding directory ownership. Please fix them. 

With those changes I approve of this package.


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     5 files have unknown license. Detailed output of licensecheck in
     /home/mcpierce/Packaging/reviews/1071456-oozie/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/oozie, /usr/share/maven-poms/oozie,
     /var/lib/tomcats, /usr/share/maven-metadata
     
     The /etc/oozie directory should be owned.
     
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/oozie,
     /etc/logrotate.d, /var/lib/tomcats, /usr/share/maven-metadata, /etc/oozie
     
     See above.
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: oozie-4.0.1-1.fc21.noarch.rpm
          oozie-4.0.1-1.fc21.src.rpm
oozie.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
oozie.noarch: W: incoherent-version-in-changelog 4.0.0-1 ['4.0.1-1.fc21', '4.0.1-1']
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/bin /usr/share/tomcat/bin
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/geronimo-jta_1.1_spec-1.1.1.jar /usr/share/java/geronimo-jta.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/ant-launcher-1.9.4.jar /usr/share/java/ant/ant-launcher.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/ant-1.6.2.jar /usr/share/java/ant/ant.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/postgresql-9.0-801.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-api-2.0.1.jar /usr/share/java/jung/jung-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.inject-1.jar /usr/share/java/atinject.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet.jsp-2.2.6.jar /usr/share/java/glassfish-jsp/javax.servlet.jsp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-lib-2.2.2.jar /usr/share/java/openjpa/openjpa-lib.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/slf4j-log4j12-1.6.6.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/serp-1.14.1.jar /usr/share/java/serp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jackson-core-asl-1.8.8.jar /usr/share/java/jackson/jackson-core-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-dbcp-1.4.jar /usr/share/java/apache-commons-dbcp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/xml-apis-1.4.01.jar /usr/share/java/xml-commons-apis.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-core-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-cli-1.2.jar /usr/share/java/commons-cli.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-configuration-1.6.jar /usr/share/java/commons-configuration.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/tomcat-servlet-api-7.0.37.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-jobclient-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-jobclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-common].jar /usr/share/java/hadoop/hadoop-mapreduce-client-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/protobuf-java-2.5.0.jar /usr/share/java/protobuf.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-app-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-app.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-auth].jar /usr/share/java/hadoop/hadoop-auth.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/xml-apis-1.4.01.jar /usr/share/java/xml-commons-apis.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/slf4j-simple-1.6.6.jar /usr/share/java/slf4j/slf4j-simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.el-api-3.0.0.jar /usr/share/java/glassfish-el-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/paranamer-2.3.jar /usr/share/java/paranamer/paranamer.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-graph-impl-2.0.1.jar /usr/share/java/jung/jung-graph-impl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/derby-10.6.1.0.jar /usr/share/java/derby/derby.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jzlib-any.jar /usr/share/java/jzlib.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/derby-10.6.1.0.jar /usr/share/java/derby/derby.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jdom-1.1.jar /usr/share/java/jdom.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/slf4j-simple-1.6.6.jar /usr/share/java/slf4j/slf4j-simple.jar
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie/data 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-math3-3.1.1.jar /usr/share/java/commons-math3.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jersey-core-1.17.1.jar /usr/share/java/jersey/jersey-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-lib-2.2.2.jar /usr/share/java/openjpa/openjpa-lib.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-api-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/apache-log4j-extras-1.1.jar /usr/share/java/apache-log4j-extras/apache-log4j-extras.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-visualization-2.0.1.jar /usr/share/java/jung/jung-visualization.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/slf4j-simple-1.6.6.jar /usr/share/java/slf4j/slf4j-simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/hsqldb-1.8.0.7.jar /usr/share/java/hsqldb.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-jexl-2.1.1.jar /usr/share/java/apache-commons-jexl/commons-jexl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[commons-io].jar /usr/share/java/commons-io.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jdom-1.1.jar /usr/share/java/jdom.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/geronimo-jms_1.1_spec-any.jar /usr/share/java/geronimo-jms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-shuffle-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-shuffle.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-codec-1.4.jar /usr/share/java/commons-codec.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/guava-11.0.2.jar /usr/share/java/guava.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-digester-1.8.1.jar /usr/share/java/commons-digester.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/servlet-api-2.5.jar /usr/share/java/glassfish-servlet-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet-api-3.1.0.jar /usr/share/java/glassfish-servlet-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/netty-3.6.6.Final.jar /usr/share/java/netty3-3.6.6.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-auth-2.3.0.jar /usr/share/java/hadoop/hadoop-auth.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/asm-3.jar /usr/share/java/objectweb-asm3/asm.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jersey-servlet-1.17.1.jar /usr/share/java/jersey/jersey-servlet.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-el-1.0.jar /usr/share/java/apache-commons-el.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/postgresql-9.0-801.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/commons-codec-1.4.jar /usr/share/java/commons-codec.jar
oozie.noarch: E: non-readable /etc/oozie/tomcat/tomcat-users.xml 0660L
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/ehcache-core-2.6.3.jar /usr/share/java/ehcache-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-net-3.1.jar /usr/share/java/commons-net.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/apache-log4j-extras-1.1.jar /usr/share/java/apache-log4j-extras/apache-log4j-extras.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-collections4-4.0.jar /usr/share/java/apache-commons-collections4.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/hibernate-jpa-2.0-api-1.0.1.Final.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-client-2.3.0.jar /usr/share/java/hadoop/hadoop-client.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/jackson-mapper-asl-1.8.8.jar /usr/share/java/jackson/jackson-mapper-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[protobuf].jar /usr/share/java/protobuf.jar
oozie.noarch: E: non-standard-dir-perm /etc/oozie/tomcat 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/xercesImpl-2.10.0.jar /usr/share/java/xerces-j2.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jackson-mapper-asl-1.8.8.jar /usr/share/java/jackson/jackson-mapper-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/conf /etc/oozie
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/geronimo-jms_1.1_spec-any.jar /usr/share/java/geronimo-jms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/geronimo-jta_1.1_spec-1.1.1.jar /usr/share/java/geronimo-jta.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xml-resolver-1.2.jar /usr/share/java/xml-commons-resolver.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-codec-1.4.jar /usr/share/java/commons-codec.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-hdfs-2.4.0.jar /usr/share/java/hadoop/hadoop-hdfs.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/httpcore-4.2.4.jar /usr/share/java/httpcomponents/httpcore.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-yarn-api].jar /usr/share/java/hadoop/hadoop-yarn-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/jackson-core-asl-1.8.8.jar /usr/share/java/jackson/jackson-core-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-kernel-2.2.2.jar /usr/share/java/openjpa/openjpa-kernel.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/commons-cli-1.2.jar /usr/share/java/commons-cli.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-jobclient].jar /usr/share/java/hadoop/hadoop-mapreduce-client-jobclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-common].jar /usr/lib/java/hadoop/hadoop-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-collections4-4.0.jar /usr/share/java/apache-commons-collections4.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
oozie.noarch: E: non-standard-dir-perm /var/log/oozie 0775L
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie/temp 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/avro-1.7.1.jar /usr/share/java/avro/avro.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jaxb-api-2.2.2.jar /usr/share/java/jaxb-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-beanutils-1.8.3.jar /usr/share/java/apache-commons-beanutils.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-lang-2.4.jar /usr/share/java/apache-commons-lang.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet.jsp-api-2.3.1.jar /usr/share/java/glassfish-jsp-api/javax.servlet.jsp-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/snappy-java-0.2.jar /usr/lib/java/snappy-java/snappy-java.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-visualization-2.0.1.jar /usr/share/java/jung/jung-visualization.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-persistence-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-persistence-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/log4j-1.2.17.jar /usr/lib/java/log4j-1.2.17.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-client-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-client.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hsqldb-1.8.0.7.jar /usr/share/java/hsqldb.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-logging-1.1.jar /usr/share/java/commons-logging.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/slf4j-api-1.6.6.jar /usr/share/java/slf4j/slf4j-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-io-2.1.jar /usr/share/java/commons-io.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-annotations-2.4.0.jar /usr/share/java/hadoop/hadoop-annotations.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[commons-configuration].jar /usr/share/java/commons-configuration.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-jmx-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-jmx-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[commons-cli].jar /usr/share/java/commons-cli.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-pool-1.5.4.jar /usr/share/java/apache-commons-pool.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/guava-11.0.2.jar /usr/share/java/guava.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/json-simple-1.1.jar /usr/share/java/json_simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-core].jar /usr/share/java/hadoop/hadoop-mapreduce-client-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-logging-1.1.jar /usr/share/java/commons-logging.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-hdfs].jar /usr/share/java/hadoop/hadoop-hdfs.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-app].jar /usr/share/java/hadoop/hadoop-mapreduce-client-app.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/tomcat-el-api-7.0.37.jar /usr/share/java/tomcat-el-2.2-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/slf4j-api-1.6.6.jar /usr/share/java/slf4j/slf4j-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/hamcrest-core-1.3.jar /usr/share/java/hamcrest/core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-common-2.2.0.jar /usr/lib/java/hadoop/hadoop-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jdom-1.0.jar /usr/share/java/jdom.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-algorithms-2.0.1.jar /usr/share/java/jung/jung-algorithms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-jmx-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-jmx-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/ehcache-core-2.6.3.jar /usr/share/java/ehcache-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-common-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-graph-impl-2.0.1.jar /usr/share/java/jung/jung-graph-impl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-algorithms-2.0.1.jar /usr/share/java/jung/jung-algorithms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xml-apis-1.4.01.jar /usr/share/java/xml-commons-apis.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-common-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-dbcp-1.4.jar /usr/share/java/apache-commons-dbcp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/asm-3.jar /usr/share/java/objectweb-asm3/asm.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/serp-1.14.1.jar /usr/share/java/serp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/slf4j-log4j12-1.6.6.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-compress-1.4.1.jar /usr/share/java/commons-compress.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-pool-1.5.4.jar /usr/share/java/apache-commons-pool.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.el-SYSTEM.jar /usr/share/java/glassfish-el.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jersey-client-1.17.1.jar /usr/share/java/jersey/jersey-client.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-jxpath-1.3.jar /usr/share/java/commons-jxpath.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-vfs2-2.0.jar /usr/share/java/apache-commons-vfs.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/zookeeper-3.4.5.jar /usr/share/java/zookeeper/zookeeper.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xmlenc-0.52.jar /usr/share/java/xmlenc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xercesImpl-2.10.0.jar /usr/share/java/xerces-j2.jar
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie/work 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/json-simple-1.1.jar /usr/share/java/json_simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xz-1.5.jar /usr/share/java/xz-java.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-yarn-common].jar /usr/share/java/hadoop/hadoop-yarn-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/lib /usr/share/tomcat/lib
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/geronimo-jms_1.1_spec-any.jar /usr/share/java/geronimo-jms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/xercesImpl-2.10.0.jar /usr/share/java/xerces-j2.jar
oozie.noarch: E: non-standard-dir-perm /etc/oozie/tomcat/Catalina/localhost 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jackson-core-asl-1.8.8.jar /usr/share/java/jackson/jackson-core-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hibernate-jpa-2.0-api-1.0.1.Final.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
oozie.noarch: E: non-standard-dir-perm /etc/oozie/tomcat/Catalina 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-api-2.0.1.jar /usr/share/java/jung/jung-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/commons-logging-1.1.jar /usr/share/java/commons-logging.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-lang-2.4.jar /usr/share/java/apache-commons-lang.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/junit-4.10.jar /usr/share/java/junit.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-kernel-2.2.2.jar /usr/share/java/openjpa/openjpa-kernel.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/hadoop-auth-2.3.0.jar /usr/share/java/hadoop/hadoop-auth.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/slf4j-api-1.6.6.jar /usr/share/java/slf4j/slf4j-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/json-simple-1.1.jar /usr/share/java/json_simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet-3.0.0.v201112011016.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/log4j-1.2.17.jar /usr/lib/java/log4j-1.2.17.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jackson-mapper-asl-1.8.8.jar /usr/share/java/jackson/jackson-mapper-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/mail-1.4.jar /usr/share/java/javamail/javax.mail.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-persistence-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-server-common-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-server-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/guava-11.0.2.jar /usr/share/java/guava.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-persistence-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/httpcore-4.3.2.jar /usr/share/java/httpcomponents/httpcore.jar
oozie.noarch: W: no-manual-page-for-binary ooziedb.sh
oozie.noarch: W: no-manual-page-for-binary oozie
oozie.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
2 packages and 0 specfiles checked; 9 errors, 185 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint oozie
oozie.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
oozie.noarch: W: incoherent-version-in-changelog 4.0.0-1 ['4.0.1-1.fc21', '4.0.1-1']
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/bin /usr/share/tomcat/bin
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/geronimo-jta_1.1_spec-1.1.1.jar /usr/share/java/geronimo-jta.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/ant-launcher-1.9.4.jar /usr/share/java/ant/ant-launcher.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/ant-1.6.2.jar /usr/share/java/ant/ant.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/postgresql-9.0-801.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-api-2.0.1.jar /usr/share/java/jung/jung-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.inject-1.jar /usr/share/java/atinject.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet.jsp-2.2.6.jar /usr/share/java/glassfish-jsp/javax.servlet.jsp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-lib-2.2.2.jar /usr/share/java/openjpa/openjpa-lib.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/slf4j-log4j12-1.6.6.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/serp-1.14.1.jar /usr/share/java/serp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jackson-core-asl-1.8.8.jar /usr/share/java/jackson/jackson-core-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-dbcp-1.4.jar /usr/share/java/apache-commons-dbcp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/xml-apis-1.4.01.jar /usr/share/java/xml-commons-apis.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-core-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-cli-1.2.jar /usr/share/java/commons-cli.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-configuration-1.6.jar /usr/share/java/commons-configuration.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/tomcat-servlet-api-7.0.37.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-jobclient-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-jobclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-common].jar /usr/share/java/hadoop/hadoop-mapreduce-client-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/protobuf-java-2.5.0.jar /usr/share/java/protobuf.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-app-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-app.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-auth].jar /usr/share/java/hadoop/hadoop-auth.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/xml-apis-1.4.01.jar /usr/share/java/xml-commons-apis.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/slf4j-simple-1.6.6.jar /usr/share/java/slf4j/slf4j-simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.el-api-3.0.0.jar /usr/share/java/glassfish-el-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/paranamer-2.3.jar /usr/share/java/paranamer/paranamer.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-graph-impl-2.0.1.jar /usr/share/java/jung/jung-graph-impl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/derby-10.6.1.0.jar /usr/share/java/derby/derby.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jzlib-any.jar /usr/share/java/jzlib.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/derby-10.6.1.0.jar /usr/share/java/derby/derby.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jdom-1.1.jar /usr/share/java/jdom.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/slf4j-simple-1.6.6.jar /usr/share/java/slf4j/slf4j-simple.jar
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie/data 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-math3-3.1.1.jar /usr/share/java/commons-math3.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jersey-core-1.17.1.jar /usr/share/java/jersey/jersey-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-lib-2.2.2.jar /usr/share/java/openjpa/openjpa-lib.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-api-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/apache-log4j-extras-1.1.jar /usr/share/java/apache-log4j-extras/apache-log4j-extras.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-visualization-2.0.1.jar /usr/share/java/jung/jung-visualization.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/slf4j-simple-1.6.6.jar /usr/share/java/slf4j/slf4j-simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/hsqldb-1.8.0.7.jar /usr/share/java/hsqldb.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-jexl-2.1.1.jar /usr/share/java/apache-commons-jexl/commons-jexl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[commons-io].jar /usr/share/java/commons-io.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jdom-1.1.jar /usr/share/java/jdom.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/geronimo-jms_1.1_spec-any.jar /usr/share/java/geronimo-jms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-shuffle-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-shuffle.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-codec-1.4.jar /usr/share/java/commons-codec.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/guava-11.0.2.jar /usr/share/java/guava.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-digester-1.8.1.jar /usr/share/java/commons-digester.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/servlet-api-2.5.jar /usr/share/java/glassfish-servlet-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet-api-3.1.0.jar /usr/share/java/glassfish-servlet-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/netty-3.6.6.Final.jar /usr/share/java/netty3-3.6.6.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-auth-2.3.0.jar /usr/share/java/hadoop/hadoop-auth.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/asm-3.jar /usr/share/java/objectweb-asm3/asm.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jersey-servlet-1.17.1.jar /usr/share/java/jersey/jersey-servlet.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-el-1.0.jar /usr/share/java/apache-commons-el.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/postgresql-9.0-801.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/commons-codec-1.4.jar /usr/share/java/commons-codec.jar
oozie.noarch: E: non-readable /etc/oozie/tomcat/tomcat-users.xml 0660L
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/ehcache-core-2.6.3.jar /usr/share/java/ehcache-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-net-3.1.jar /usr/share/java/commons-net.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/apache-log4j-extras-1.1.jar /usr/share/java/apache-log4j-extras/apache-log4j-extras.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-collections4-4.0.jar /usr/share/java/apache-commons-collections4.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/hibernate-jpa-2.0-api-1.0.1.Final.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-client-2.3.0.jar /usr/share/java/hadoop/hadoop-client.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/jackson-mapper-asl-1.8.8.jar /usr/share/java/jackson/jackson-mapper-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[protobuf].jar /usr/share/java/protobuf.jar
oozie.noarch: E: non-standard-dir-perm /etc/oozie/tomcat 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/xercesImpl-2.10.0.jar /usr/share/java/xerces-j2.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jackson-mapper-asl-1.8.8.jar /usr/share/java/jackson/jackson-mapper-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/conf /etc/oozie
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/geronimo-jms_1.1_spec-any.jar /usr/share/java/geronimo-jms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/geronimo-jta_1.1_spec-1.1.1.jar /usr/share/java/geronimo-jta.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xml-resolver-1.2.jar /usr/share/java/xml-commons-resolver.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-codec-1.4.jar /usr/share/java/commons-codec.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-hdfs-2.4.0.jar /usr/share/java/hadoop/hadoop-hdfs.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/httpcore-4.2.4.jar /usr/share/java/httpcomponents/httpcore.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-yarn-api].jar /usr/share/java/hadoop/hadoop-yarn-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/jackson-core-asl-1.8.8.jar /usr/share/java/jackson/jackson-core-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-kernel-2.2.2.jar /usr/share/java/openjpa/openjpa-kernel.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/commons-cli-1.2.jar /usr/share/java/commons-cli.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-jobclient].jar /usr/share/java/hadoop/hadoop-mapreduce-client-jobclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-common].jar /usr/lib/java/hadoop/hadoop-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-collections4-4.0.jar /usr/share/java/apache-commons-collections4.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
oozie.noarch: E: non-standard-dir-perm /var/log/oozie 0775L
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie/temp 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/avro-1.7.1.jar /usr/share/java/avro/avro.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jaxb-api-2.2.2.jar /usr/share/java/jaxb-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-beanutils-1.8.3.jar /usr/share/java/apache-commons-beanutils.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-lang-2.4.jar /usr/share/java/apache-commons-lang.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet.jsp-api-2.3.1.jar /usr/share/java/glassfish-jsp-api/javax.servlet.jsp-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/snappy-java-0.2.jar /usr/lib/java/snappy-java/snappy-java.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-visualization-2.0.1.jar /usr/share/java/jung/jung-visualization.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-persistence-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-persistence-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/log4j-1.2.17.jar /usr/lib/java/log4j-1.2.17.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-client-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-client.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hsqldb-1.8.0.7.jar /usr/share/java/hsqldb.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-logging-1.1.jar /usr/share/java/commons-logging.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/slf4j-api-1.6.6.jar /usr/share/java/slf4j/slf4j-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-io-2.1.jar /usr/share/java/commons-io.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-annotations-2.4.0.jar /usr/share/java/hadoop/hadoop-annotations.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[commons-configuration].jar /usr/share/java/commons-configuration.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jetty-jmx-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-jmx-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[commons-cli].jar /usr/share/java/commons-cli.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-pool-1.5.4.jar /usr/share/java/apache-commons-pool.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/guava-11.0.2.jar /usr/share/java/guava.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/json-simple-1.1.jar /usr/share/java/json_simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-core].jar /usr/share/java/hadoop/hadoop-mapreduce-client-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-logging-1.1.jar /usr/share/java/commons-logging.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-hdfs].jar /usr/share/java/hadoop/hadoop-hdfs.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-mapreduce-client-app].jar /usr/share/java/hadoop/hadoop-mapreduce-client-app.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/tomcat-el-api-7.0.37.jar /usr/share/java/tomcat-el-2.2-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/slf4j-api-1.6.6.jar /usr/share/java/slf4j/slf4j-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/hamcrest-core-1.3.jar /usr/share/java/hamcrest/core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-common-2.2.0.jar /usr/lib/java/hadoop/hadoop-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jdom-1.0.jar /usr/share/java/jdom.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-algorithms-2.0.1.jar /usr/share/java/jung/jung-algorithms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-jmx-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-jmx-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/ehcache-core-2.6.3.jar /usr/share/java/ehcache-core.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-common-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-graph-impl-2.0.1.jar /usr/share/java/jung/jung-graph-impl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jung-algorithms-2.0.1.jar /usr/share/java/jung/jung-algorithms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xml-apis-1.4.01.jar /usr/share/java/xml-commons-apis.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-mapreduce-client-common-2.4.0.jar /usr/share/java/hadoop/hadoop-mapreduce-client-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-dbcp-1.4.jar /usr/share/java/apache-commons-dbcp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/asm-3.jar /usr/share/java/objectweb-asm3/asm.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/serp-1.14.1.jar /usr/share/java/serp.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/slf4j-log4j12-1.6.6.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-compress-1.4.1.jar /usr/share/java/commons-compress.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-pool-1.5.4.jar /usr/share/java/apache-commons-pool.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.el-SYSTEM.jar /usr/share/java/glassfish-el.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jersey-client-1.17.1.jar /usr/share/java/jersey/jersey-client.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-jxpath-1.3.jar /usr/share/java/commons-jxpath.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/commons-vfs2-2.0.jar /usr/share/java/apache-commons-vfs.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/zookeeper-3.4.5.jar /usr/share/java/zookeeper/zookeeper.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xmlenc-0.52.jar /usr/share/java/xmlenc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xercesImpl-2.10.0.jar /usr/share/java/xerces-j2.jar
oozie.noarch: E: non-standard-dir-perm /var/cache/oozie/work 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/json-simple-1.1.jar /usr/share/java/json_simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/xz-1.5.jar /usr/share/java/xz-java.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/[hadoop][hadoop-yarn-common].jar /usr/share/java/hadoop/hadoop-yarn-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/lib /usr/share/tomcat/lib
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/geronimo-jms_1.1_spec-any.jar /usr/share/java/geronimo-jms.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/xercesImpl-2.10.0.jar /usr/share/java/xerces-j2.jar
oozie.noarch: E: non-standard-dir-perm /etc/oozie/tomcat/Catalina/localhost 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jackson-core-asl-1.8.8.jar /usr/share/java/jackson/jackson-core-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hibernate-jpa-2.0-api-1.0.1.Final.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
oozie.noarch: E: non-standard-dir-perm /etc/oozie/tomcat/Catalina 0775L
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/jung-api-2.0.1.jar /usr/share/java/jung/jung-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/commons-logging-1.1.jar /usr/share/java/commons-logging.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-lang-2.4.jar /usr/share/java/apache-commons-lang.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/junit-4.10.jar /usr/share/java/junit.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-kernel-2.2.2.jar /usr/share/java/openjpa/openjpa-kernel.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/hadoop-auth-2.3.0.jar /usr/share/java/hadoop/hadoop-auth.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/slf4j-api-1.6.6.jar /usr/share/java/slf4j/slf4j-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/json-simple-1.1.jar /usr/share/java/json_simple.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/javax.servlet-3.0.0.v201112011016.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/log4j-1.2.17.jar /usr/lib/java/log4j-1.2.17.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/jackson-mapper-asl-1.8.8.jar /usr/share/java/jackson/jackson-mapper-asl.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/mail-1.4.jar /usr/share/java/javamail/javax.mail.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/openjpa-persistence-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/libtools/hadoop-yarn-server-common-2.4.0.jar /usr/share/java/hadoop/hadoop-yarn-server-common.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/guava-11.0.2.jar /usr/share/java/guava.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/oozie-server/webapps/oozie/WEB-INF/lib/openjpa-persistence-jdbc-2.2.2.jar /usr/share/java/openjpa/openjpa-persistence-jdbc.jar
oozie.noarch: W: dangling-symlink /usr/share/oozie/lib/httpcore-4.3.2.jar /usr/share/java/httpcomponents/httpcore.jar
oozie.noarch: W: no-manual-page-for-binary ooziedb.sh
oozie.noarch: W: no-manual-page-for-binary oozie
1 packages and 0 specfiles checked; 9 errors, 184 warnings.
# echo 'rpmlint-done:'



Requires
--------
oozie (rpmlib, GLIBC filtered):
    /bin/bash
    config(oozie)
    java-headless
    jpackage-utils
    mvn(com.google.guava:guava)
    mvn(com.google.protobuf:protobuf-java)
    mvn(com.googlecode.json-simple:json-simple)
    mvn(commons-cli:commons-cli)
    mvn(commons-dbcp:commons-dbcp)
    mvn(commons-el:commons-el)
    mvn(commons-httpclient:commons-httpclient)
    mvn(commons-lang:commons-lang)
    mvn(commons-logging:commons-logging)
    mvn(javax.mail:mail)
    mvn(javax.servlet.jsp:jsp-api)
    mvn(javax.servlet:servlet-api)
    mvn(jline:jline)
    mvn(log4j:apache-log4j-extras)
    mvn(log4j:log4j:1.2.17)
    mvn(net.sf.ehcache:ehcache-core)
    mvn(net.sf.jung:jung-algorithms)
    mvn(net.sf.jung:jung-api)
    mvn(net.sf.jung:jung-graph-impl)
    mvn(net.sf.jung:jung-visualization)
    mvn(org.antlr:antlr-runtime)
    mvn(org.apache.commons:commons-collections4)
    mvn(org.apache.derby:derby)
    mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
    mvn(org.apache.hadoop:hadoop-auth)
    mvn(org.apache.hadoop:hadoop-client)
    mvn(org.apache.hadoop:hadoop-distcp)
    mvn(org.apache.hadoop:hadoop-streaming)
    mvn(org.apache.hbase:hbase-common)
    mvn(org.apache.hive.hcatalog:hcatalog-core)
    mvn(org.apache.hive.hcatalog:hcatalog-pig-adapter)
    mvn(org.apache.hive.hcatalog:hcatalog-server-extensions)
    mvn(org.apache.hive.hcatalog:webhcat-java-client)
    mvn(org.apache.hive:hive-cli)
    mvn(org.apache.hive:hive-common)
    mvn(org.apache.hive:hive-exec)
    mvn(org.apache.hive:hive-metastore)
    mvn(org.apache.hive:hive-serde)
    mvn(org.apache.openjpa:openjpa-jdbc)
    mvn(org.apache.openjpa:openjpa-persistence)
    mvn(org.apache.openjpa:openjpa-persistence-jdbc)
    mvn(org.apache.pig:pig)
    mvn(org.apache.thrift:libfb303)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.eclipse.jetty:jetty-server:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-util:8.1.14.v20131031)
    mvn(org.hsqldb:hsqldb)
    mvn(org.jdom:jdom)
    mvn(org.python:jython)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.slf4j:slf4j-simple)
    mvn(postgresql:postgresql)
    mvn(xerces:xercesImpl)
    tomcat



Provides
--------
oozie:
    config(oozie)
    mvn(org.apache.oozie.test:oozie-mini)
    mvn(org.apache.oozie.test:oozie-mini:pom:)
    mvn(org.apache.oozie:oozie-client)
    mvn(org.apache.oozie:oozie-client:pom:)
    mvn(org.apache.oozie:oozie-core)
    mvn(org.apache.oozie:oozie-core:pom:)
    mvn(org.apache.oozie:oozie-distro)
    mvn(org.apache.oozie:oozie-distro:pom:)
    mvn(org.apache.oozie:oozie-examples)
    mvn(org.apache.oozie:oozie-examples:pom:)
    mvn(org.apache.oozie:oozie-hadoop)
    mvn(org.apache.oozie:oozie-hadoop-distcp)
    mvn(org.apache.oozie:oozie-hadoop-distcp:pom:)
    mvn(org.apache.oozie:oozie-hadoop:pom:)
    mvn(org.apache.oozie:oozie-hadooplibs:pom:)
    mvn(org.apache.oozie:oozie-hbase)
    mvn(org.apache.oozie:oozie-hbase:pom:)
    mvn(org.apache.oozie:oozie-hbaselibs:pom:)
    mvn(org.apache.oozie:oozie-hcatalog)
    mvn(org.apache.oozie:oozie-hcatalog:pom:)
    mvn(org.apache.oozie:oozie-hcataloglibs:pom:)
    mvn(org.apache.oozie:oozie-main:pom:)
    mvn(org.apache.oozie:oozie-sharelib-distcp)
    mvn(org.apache.oozie:oozie-sharelib-distcp:pom:)
    mvn(org.apache.oozie:oozie-sharelib-hcatalog)
    mvn(org.apache.oozie:oozie-sharelib-hcatalog:pom:)
    mvn(org.apache.oozie:oozie-sharelib-hive)
    mvn(org.apache.oozie:oozie-sharelib-hive:pom:)
    mvn(org.apache.oozie:oozie-sharelib-oozie)
    mvn(org.apache.oozie:oozie-sharelib-oozie:pom:)
    mvn(org.apache.oozie:oozie-sharelib-pig)
    mvn(org.apache.oozie:oozie-sharelib-pig:pom:)
    mvn(org.apache.oozie:oozie-sharelib-streaming)
    mvn(org.apache.oozie:oozie-sharelib-streaming:pom:)
    mvn(org.apache.oozie:oozie-sharelib:pom:)
    mvn(org.apache.oozie:oozie-tools)
    mvn(org.apache.oozie:oozie-tools:pom:)
    mvn(org.apache.oozie:oozie-webapp:pom:)
    oozie



Source checksums
----------------
https://github.com/apache/oozie/archive/fe8d85a4f0467f3ad7e8d7fc8ab4ebd89fa5fe3f/oozie-4.0.1-fe8d85a.tar.gz :
  CHECKSUM(SHA256) this package     : c76db4c590a166975eb0fd4eefe08394830d537c209d0b0eff4a8fce2787a740
  CHECKSUM(SHA256) upstream package : c76db4c590a166975eb0fd4eefe08394830d537c209d0b0eff4a8fce2787a740


Generated by fedora-review 0.5.1 (ec3a3b3) last change: 2014-05-19
Command line :/home/mcpierce/temp/FedoraReview/try-fedora-review -b 1071456 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Robert Rati 2014-06-26 15:00:28 UTC
Added ownership of /etc/oozie and updated rpms in place.

Comment 5 Robert Rati 2014-06-26 15:02:38 UTC
New Package SCM Request
=======================
Package Name: oozie
Short Description: A work-flow scheduling system for Apache Hadoop
Upstream URL:  https://oozie.apache.org/
Owners: rrati
Branches: f21
InitialCC:

Comment 6 Gwyn Ciesla 2014-06-26 17:48:59 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.